ALTER PROC SP_UpdParteDMontosManual
(
 @TIPO		CHAR(1) = 'I',
 @SITEID        char(5) = '76',
 @DATEPROCESALES  char(8) = '20080504',
 @SERVICIOS	UD_MONTO = 10.00,
 @GAS		UD_MONTO = 10.00,
 @MOBIL		UD_MONTO = 10.00,
 @TELEFONO	UD_MONTO = 10.00,
 @OTROS		UD_MONTO = 10.00,
 @PAG_DIFERENCIA UD_MONTO = 10.00,
 @PAG_ADELANTADO UD_MONTO = 10.00,
 @AFERICION	UD_MONTO = 10.00,
 @COBRANZAS	UD_MONTO = 10.00,
 @DEPOSITO_TIENDA UD_MONTO = 10.00
)
AS

IF @TIPO = 'I'
BEGIN
	INSERT INTO OP_PD_MANUAL (SITEID,DATEPROCESALES,SERVICIOS,GAS,MOBIL,TELEFONO,OTROS,PAG_DIFERENCIA,PAG_ADELANTADO,AFERICION,COBRANZAS,DEPOSITO_TIENDA) 
	VALUES (@SITEID,CONVERT(SMALLDATETIME, @DATEPROCESALES),@SERVICIOS,@GAS,@MOBIL,@TELEFONO,@OTROS,@PAG_DIFERENCIA,@PAG_ADELANTADO,@AFERICION,@COBRANZAS,@DEPOSITO_TIENDA)
END
ELSE
BEGIN
	UPDATE OP_PD_MANUAL SET SERVICIOS = @SERVICIOS,GAS = @GAS,MOBIL = @MOBIL,TELEFONO = @TELEFONO,OTROS = @OTROS,
	PAG_DIFERENCIA = @PAG_DIFERENCIA,PAG_ADELANTADO = @PAG_ADELANTADO,AFERICION = @AFERICION,COBRANZAS = @COBRANZAS,DEPOSITO_TIENDA= @DEPOSITO_TIENDA
	WHERE SITEID = @SITEID AND DATEPROCESALES = @DATEPROCESALES
END

--SELECT * FROM OP_PD_MANUAL

GO
